@echo off

echo.
echo	We run five different GAMS programs with logically equivalent 
echo	formulations.  Search for "parameter solution" in the resulting
echo	LST files in order to verify that all models are consistent:
echo.
echo	Primal NLP formulation first:
echo.
pause.
call gams primal

echo.
echo.
echo	MCP model based on KKT conditions is next:
echo.
pause
call gams kkt

echo.
echo.
echo	MCP model based on Mathiesen's formulation is next:
echo.
pause
call gams mcp

echo.
echo.
echo	Dual NLP model is next:
echo.
pause
call gams dual

echo.
echo.
echo	MPSGE model is last:
echo.
pause
call gams mpsge

echo.
echo.
echo	The next program runs the model over a 100 year horizon.
echo.
pause

call gams 100

echo.
echo	You need to have GNUPLOT to run the following program!
echo.
echo	CTRL-C to exit now.
echo.
pause
call gams plots

echo.
echo.
echo	The next program runs lots of cases!
echo.
echo	CTRL-C to exit now.
echo.
pause
call gams chkall

echo.
echo	You need to have Windows GNUPLOT to run the following programs!
echo.
echo	CTRL-C to exit now.
echo.
pause
call gams fig1
call gams fig2


