$TITLE  Ramsey Model -- MPSGE formulation with alternative termination methods

$if not setglobal termcnd $setglobal termcnd MCP
$if not setglobal tlast   $setglobal tlast 20

$if exist defines.inc $include defines.inc


$include model.gms

$include ramsey.sol

parameter       error   %termcnd% terminal approximation;

$SETGLOBAL gp_ylabel 

loop(t$(not tlast(t)),

error(T,"I") = 100 * ( solution(T,"I") / ( I.L(T)) - 1);
error(T,"C") = 100 * ( solution(T,"C") / ( C.L(T)) - 1);
error(T,"RK") = 100 * ( solution(T,"RK") / ( RK.L(T)/((DELTA+R)*P.L(T))) - 1);
*.error(T,"PK") = 100 * ( solution(T,"PK") / ( PK.L(T)/((1+R)*P.L(T))) - 1);
error(T,"PL") = 100 * ( solution(T,"PL") / ( PL.L(T)/ P.L(T)) -  1);

);

parameter       errnorm Norm of error;

set solval / i, c, rk, pk, pl/;
errnorm(tlast,"%termcnd%",solval) = sum(t, abs(error(t,solval)) * pref(t)) /
                                    sum(t, pref(t));

errnorm(tlast,"%termcnd%",t) = error(t,"i");


file kerr /ramsey.err/; kerr.ap = 1; put kerr;
$libinclude gams2txt errnorm


